import { createCommonContext } from "@/contexts/common/infrastructure";
import { PassportStatic } from "passport";
import { initEmailStrategy } from "./emailStrategy";
import { initJWTStrategy } from "./jwtStrategy";

// Export a function that will be used to configure Passport authentication
export const configurePassportAuth = (passport: PassportStatic) => {
  const context = createCommonContext();
  passport.use("local-email", initEmailStrategy(context));
  passport.use("local-jwt", initJWTStrategy(context));
};
